### Method

# Peas ExtensionSet foreach

#### Declaration [src]

    void
    peas_extension_set_foreach (
      PeasExtensionSet* set,
      PeasExtensionSetForeachFunc func,
      gpointer data
    )

#### Description [src]

Calls `func` for each `GObject`.

#### Parameters

`func`

  Type: `PeasExtensionSetForeachFunc`

  A function call for each extension.

`data`

  Type: `gpointer`

  Optional data to be passed to the function or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.